
Figure - Bug #118218
【IOVDEV-28807】【VC1】【内部】【0095】【台架】【EE环境】【副屏】副屏无法使用活动屏保
2023-05-24 21:04 - CD TEST-方永红

Status: CLOSED Start date: 2023-05-24

Priority: High Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0100也有此问题

Resolution: FIXED Degrated: No

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-29

Test Type: ST Root cause: 编码问题

Description

【环境信息】：EE环境

【测试时间】：2023.5.17 16:35

【前提条件】：

1、网络正常

2、副屏上电

【操作步骤】

1、设置-显示-屏保

2、设置为活动主题屏保

3、下拉控制中心，点击屏保

【实际结果】

1、页面未跳转至屏保界面

【期待结果】

1、页面正常跳转至屏保界面

【备注】：

中控屏版本：03.02.0080.C101

副屏版本：01.00.0095.C103

视频及log地址：https://ofs.human-horizons.com/#/download/index/3lwC7UhK7LM%3D

History

#1 - 2023-05-25 14:27 - CDTS_Test 吴诗雨

- File 飞书20230524-105240.mp4 added

【回归是否成功】：失败
【回归时间】:  2023.05.24

【回归版本】:  10.00.0100.C103

【回归环境】：HRYTTESTVINMGM441

【回归日志】：已上传至附件

【回归手顺】：同问题描述

【回归结果】：同问题描述飞书20230524-105240.mp4

#2 - 2023-05-25 14:34 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118218

#3 - 2023-05-25 21:41 - CDTS-TEST 周婷

- Priority changed from Normal to High

- Severity changed from Normal to Major

#4 - 2023-05-25 21:47 - CD APP-王营

- Status changed from New to ASSIGNED

#5 - 2023-05-26 16:13 - CD APP-王营

- % Done changed from 0 to 10

【状态】

发现问题log，修改中

【分析】

屏保应用在主题屏保使用时候产生如下异常：

05-17 16:36:04.040  2588  2588 E AndroidRuntime: FATAL EXCEPTION: main

05-17 16:36:04.040  2588  2588 E AndroidRuntime: Process: com.thundercomm.screensaver, PID: 2588

05-17 16:36:04.040  2588  2588 E AndroidRuntime: android.view.InflateException: Binary XML file line #15 in com.thundercomm.screensaver:layout/carousel: Binary XML

file line #15 in com.thundercomm.screensaver:layout/carousel: Error inflating class com.thundercomm.saverphototable.PhotoCarousel

05-17 16:36:04.040  2588  2588 E AndroidRuntime: Caused by: android.view.InflateException: Binary XML file line #15 in com.thundercomm.screensaver:layout/carousel:

Error inflating class com.thundercomm.saverphototable.PhotoCarousel

05-17 16:36:04.040  2588  2588 E AndroidRuntime: Caused by: java.lang.reflect.InvocationTargetException

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance0(Native Method)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at java.lang.reflect.Constructor.newInstance(Constructor.java:343)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.createView(LayoutInflater.java:858)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:1010)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:965)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:663)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:538)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.LayoutInflater.inflate(LayoutInflater.java:485)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.android.internal.policy.PhoneWindow.setContentView(PhoneWindow.java:461)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.service.dreams.DreamService.setContentView(DreamService.java:411)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.FlipperDream.onAttachedToWindow(FlipperDream.java:38)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.android.internal.policy.DecorView.onAttachedToWindow(DecorView.java:1867)
05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.View.dispatchAttachedToWindow(View.java:20757)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.ViewGroup.dispatchAttachedToWindow(ViewGroup.java:3490)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.ViewRootImpl.performTraversals(ViewRootImpl.java:2633)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.ViewRootImpl.doTraversal(ViewRootImpl.java:2146)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.ViewRootImpl$TraversalRunnable.run(ViewRootImpl.java:8676)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1120)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.Choreographer.doCallbacks(Choreographer.java:926)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.Choreographer.doFrame(Choreographer.java:859)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.os.Handler.handleCallback(Handler.java:938)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.os.Handler.dispatchMessage(Handler.java:99)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.os.Looper.loopOnce(Looper.java:201)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.os.Looper.loop(Looper.java:288)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at android.app.ActivityThread.main(ActivityThread.java:7880)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at java.lang.reflect.Method.invoke(Native Method)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

05-17 16:36:04.040  2588  2588 E AndroidRuntime: Caused by: java.lang.NullPointerException: Attempt to invoke interface method 'java.lang.Object[]

java.util.Collection.toArray()' on a null object reference

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at java.util.ArrayList.addAll(ArrayList.java:588)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.ThemeSource.getThemesImages(ThemeSource.java:157)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.ThemeSource.findAllSubscribedImages(ThemeSource.java:119)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.ThemeSource.findImages(ThemeSource.java:94)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.PhotoSource.fillQueue(PhotoSource.java:133)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.ThemeSource.<init>(ThemeSource.java:51)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.PhotoSourcePlexor.<init>(PhotoSourcePlexor.java:36)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     at com.thundercomm.saverphototable.PhotoCarousel.<init>(PhotoCarousel.java:104)

05-17 16:36:04.040  2588  2588 E AndroidRuntime:     ... 29 more

05-17 16:36:04.041  1517  9717 I am_crash: [2588,0,com.thundercomm.screensaver,952680005,java.lang.NullPointerException,Attempt to invoke interface method

'java.lang.Object[] java.util.Collection.toArray()' on a null object reference,ArrayList.java,588]

05-17 16:36:04.041  1517  3428 I DropBoxManagerService: add tag=system_app_crash isTagEnabled=true flags=0x2

05-17 16:36:04.041  1517  9717 W ActivityTaskManager:   Force finishing activity com.thundercomm.screensaver/android.service.dreams.DreamActivity

05-17 16:36:04.042  1517  9717 I wm_finish_activity: [0,10770572,411,com.thundercomm.screensaver/android.service.dreams.DreamActivity,force-crash]

【下一步】

修复此异常

#6 - 2023-05-26 19:34 - CD APP-王营

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-26

- Root cause set to 编码问题

【状态】

问题已处理，待验证

【分析】

代码逻辑存在空指针异常

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/202895
#7 - 2023-05-26 19:34 - CD APP-王营

- % Done changed from 10 to 90

#8 - 2023-05-27 18:59 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

202895 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: ScreenSaver: Fix screen saver NPETC-RID: 0301-0300602IssueID: TS-R-BUG-118218Change-Id: I41bc4376b0928dc4befee7f22f73af9289fc8dcb

#9 - 2023-05-29 09:45 - CD APP-王营

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 90 to 100

- Fixed Version changed from 2023-05-26 to 2023-05-29

#10 - 2023-06-12 14:52 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#11 - 2023-06-12 14:52 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

飞书20230524-105240.mp4 6.92 MB 2023-05-25 CDTS_Test 吴诗雨
